//
//  PSTagFLVDocument.h
//  iDemo
//
//  Created by Lee Falin on 12/16/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSTag.h"
#import "PSTagFLVHeader.h"

@interface PSTagFLVDocument : NSObject 
{
	int tagCount;
	NSString *pageFolder;
	NSMutableArray *tagSizes;
	
	PSTagFLVHeader *flvHeader;
}

-(id)initWithPageFolder:(NSString *)folder;

-(unsigned int)addTag:(PSTag*)newTag;
-(void)writeData:(NSFileHandle*)fileHandle;
-(void)writeToFile:(NSString *)fileName;


@end
