//
//  PSTypeRecordHeader.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 10/11/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface PSTypeRecordHeader : NSObject 
{
	unsigned short tagType;
	unsigned int length;
	BOOL extendedLength;
	unsigned short maxLength;
	
	unsigned char *tagByteStart;
}

-(id)initWithType:(unsigned short)typeCode andSize:(unsigned int)size;

-(unsigned char *)getBytes;
-(unsigned short)getShortTagBytes;
-(unsigned int)getTagByteCount;
-(void)setExtendedLength:(BOOL)value;

-(unsigned short)TagType;
-(void)setTagType:(unsigned short)type;

-(unsigned int)Length;
-(void)setTagLength:(unsigned int)size;

-(BOOL)ExtendedLength;
-(unsigned int)getExtendedLengthBytes;


@end
