//
//  PSTagRect.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 10/7/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface PSTypeRect : NSObject 
{
	unsigned int nBits;
	unsigned int xMin;
	unsigned int xMax;
	unsigned int yMin;
	unsigned int yMax;
	
	unsigned char *bitPointer;
}

-(id)initWithxMin:(unsigned int)minXTwips xMax:(unsigned int)maxXTwips yMin:(unsigned int)minYTwips yMax:(unsigned int)maxYTwips;

-(unsigned int)xMin;
-(void)setXMin:(unsigned int)value;

-(unsigned int)xMax;
-(void)setXMax:(unsigned int)value;

-(unsigned int)yMin;
-(void)setYMin:(unsigned int)value;

-(unsigned int)yMax;
-(void)setYMax:(unsigned int)value;

-(unsigned int)getMaxBits;
-(unsigned int)compareMaxBits:(unsigned int)currentMax to:(unsigned int)value;
-(unsigned char *)getBytes;
-(unsigned int)getByteCount;

@end
