//
//  LoadingWindow.h
//  ScreenMimic
//
//  Created by Lee Falin on 1/6/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "StyledWindow.h"

@interface LoadingWindow : NSWindowController
{
	StyledWindow *thisWindow;
	IBOutlet NSProgressIndicator *loadProgress;
	IBOutlet NSTextField *loadTitle;
	NSString *fileName;
}

-(id)initWithFilename:(NSString*)filename;

#pragma mark ACCESSOR METHODS
- (NSString *)fileName;
- (void)setFileName:(NSString *)value;

@end
