//
//  PSBitCounter.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 10/10/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface PSBitCounter : NSObject 
{
	unsigned char *bitLocation;
	int capacity;
	int appendPointer;
	int totalBytes;
	unsigned char *theBits;
}

-(id)initWithCapacity:(int)bits;

-(unsigned char *)getPointer;
-(int)getBitNumber:(int)sequence;
-(int)getByte:(int)sequence;

-(void)setBit:(int)bit;
-(void)clearBit:(int)bit;
-(void)clearBits;
-(void)appendBits:(unsigned short *)bitsToAppend ofLength:(int)length;
-(void)appendSignedBits:(int *)signedBitsToAppend ofLength:(int)length;
-(void)appendIntBits:(unsigned int *)bitsToAppend ofLength:(int)length;

@end
