//
//  PSDocument.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 10/12/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSTag.h"
#import "PSTagHeader.h"

@interface PSDocument : NSObject 
{
	NSString *pageFolder;
	int tagCount;
	PSTagHeader *theHeader;
}

-(id)initWithPageFolder:(NSString *)folder;

-(unsigned int)addTag:(PSTag*)newTag;
-(void)writeDataToFile:(NSString*)fileName;
-(void)writeToFile:(NSString *)fileName;
-(int)deflateFromFile:(FILE*)source toFile:(FILE*)dest withLevel:(int)level;

@end
