//
//  PSTypeScreenVideoPacket.h
//  PolarianSWFWriter
//
//  Created by Lee Falin on 10/19/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSTypeImageBlock.h"

@interface PSTypeScreenVideoPacket : NSObject 
{
	unsigned int blockWidth;
	unsigned int imageWidth;
	unsigned int blockHeight;
	unsigned int imageHeight;
	
	unsigned char *tagByteStart;
	NSMutableArray *blocks;
}

-(void)setImageData:(NSImage*)img previousImage:(NSImage*)oldImg;

-(unsigned int)addBlock:(PSTypeImageBlock*)newBlock;
-(void)removeBlockAtIndex:(unsigned int)index;

-(unsigned int)BlockWidth;
-(void)SetBlockWidth:(unsigned int)value;
-(unsigned int)ImageWidth;
-(void)SetImageWidth:(unsigned int)value;
-(unsigned int)BlockHeight;
-(void)SetBlockHeight:(unsigned int)value;
-(unsigned int)ImageHeight;
-(void)SetImageHeight:(unsigned int)value;

-(unsigned char *)getBytes;
-(unsigned int)getByteCount;



@end
